package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.student.StudentInfo;
import com.qmth.exam.reserve.bean.student.WechatBindReq;
import com.qmth.exam.reserve.entity.StudentEntity;

import java.util.List;

public interface StudentService extends IService<StudentEntity> {

    StudentEntity findByStudentCode(Long applyTaskId, String studentCode);

    StudentEntity findByOpenIdAndUid(String openId, String uid);

    StudentEntity findLessInfoByStudentId(Long studentId);

    StudentInfo findInfoByStudentId(Long studentId);

    int findStudentApplyNumberById(Long studentId);

    void bindingWechat(WechatBindReq req);

    void unbindWechatByStudentId(Long studentId);

    List<StudentEntity> listNoFinishStudent(Long taskId, Boolean cancel);

}
